@import '../shared/app-colors.scss';

:host ::ng-deep {     
    .mat-tab-group {
        flex-direction: row;
    }
    .mat-tab-header {
        border-bottom: none;
        font-size: 1.7em;
    }
    .mat-tab-header-pagination {
        display: none !important;
    }
    .mat-tab-labels {
        flex-direction: column;
    }
    .mat-ink-bar {
        height: 100%;
        left: 98% !important;
    }
    .mat-tab-body-wrapper {
        flex: 1 1 auto;
        margin-left: 1em;
        margin-right: 2em;
    }
    .mat-tab-label-content {
        width: 100%;
    }
}

p {
    font-size: 1.7em;
    font-weight: 600;
    width: 100%;
}

.tracker-main {
    display: flex;
    width: 100%;
    height: 100%;
}

.tracker-content {
    width: 100%;
    height: 90vh;
    margin-top: 9vh;
    margin-left: 21vw;
    border: 2px solid;
    border-image: linear-gradient(to bottom, black , white);
    border-image-slice: 1;
}

.menu-nav {    
    display: flex;
    position: fixed;
    align-items: flex-start;
    justify-content: space-between;
    width: 20%;
    height: 100%;
    background-color: $base-black-color;
}

.mat-expansion-panel-header-title {
    color: $base-white-color;
    font-size: 1.6em;
    font-style: italic;
}

.mat-expansion-panel-header {
    padding-right: 0;
}

.mat-expansion-panel {
    background-color: $base-black-color;
    width: 96%;
    margin-bottom: 1em;
    border: 1px solid;
    border-color: $base-white-color;    
}

.mat-accordion {
    width: 100%;
    margin-top: 13vh;
    overflow-y: scroll;
    height: 90vh;
    padding-bottom: 2vh;
}

.seniority-button {
    width: 95%;
    color: $base-white-color;
    background-color: $base-black-color;
    border: 1px solid;
    border-color: $base-white-color;
}

.white-icon {
    color: white;
}

.black-icon {
    background-color: $base-black-color;
}

.white-background {
    color: $base-black-color;
    background-color: white;
}

.add-specialization-button{
    position:relative;
    left:37%;
}

.add-seniority-button{
    position:relative;
    left:37%;
}

::-webkit-scrollbar {
    width: 0px;  /* Remove scrollbar space */
    background: transparent;  /* Optional: just make scrollbar invisible */
}

.white-text {
    color: white;
}

.loading-spinner{
    position:relative;
    left:30%;
    margin-bottom: 2em;
}

